Vitrina API
Reference

Webhooks

Subscriptions to the workspace's events, and the log of every delivery.

Subscriptions to the workspace's events, and the log of every delivery.

MethodPathWhat it does
GET/webhooksList webhook subscriptions
POST/webhooksCreate a webhook subscription (returns plaintext secret)
DELETE/webhooks/{id}Delete a webhook subscription
GET/webhooks/{id}Get a webhook subscription
PUT/webhooks/{id}Update a webhook subscription
GET/webhooks/{id}/deliveriesList webhook delivery attempts

GET /webhooks

List webhook subscriptions

curl https://api.vitrinadev.com/api/v1/webhooks \
  -H "Authorization: Bearer $VITRINA_KEY"

Answers: 200 · 400 · 401 · 403 · 404 · 409 · 429

POST /webhooks

Create a webhook subscription (returns plaintext secret)

Body

FieldTypeRequiredConstraints
urlstringyesuri, máx. 2048
events* \ai_agent.publish \ai_agent_graph.publish \
descriptionstring | nullmáx. 500
curl -X POST https://api.vitrinadev.com/api/v1/webhooks \
  -H "Authorization: Bearer $VITRINA_KEY" \
  -H "Content-Type: application/json" \
  -d '{ … }'

Answers: 201 · 400 · 401 · 403 · 404 · 409 · 429

DELETE /webhooks/{id}

Delete a webhook subscription

ParameterInTypeRequiredConstraints
idpathuuidyes
curl -X DELETE https://api.vitrinadev.com/api/v1/webhooks/<id> \
  -H "Authorization: Bearer $VITRINA_KEY"

Answers: 204 · 400 · 401 · 403 · 404 · 409 · 429

GET /webhooks/{id}

Get a webhook subscription

ParameterInTypeRequiredConstraints
idpathuuidyes
curl https://api.vitrinadev.com/api/v1/webhooks/<id> \
  -H "Authorization: Bearer $VITRINA_KEY"

Answers: 200 · 400 · 401 · 403 · 404 · 409 · 429

PUT /webhooks/{id}

Update a webhook subscription

ParameterInTypeRequiredConstraints
idpathuuidyes

Body

FieldTypeRequiredConstraints
urlstringuri, máx. 2048
events* \ai_agent.publish \ai_agent_graph.publish \
enabledboolean
descriptionstring | nullmáx. 500
curl -X PUT https://api.vitrinadev.com/api/v1/webhooks/<id> \
  -H "Authorization: Bearer $VITRINA_KEY" \
  -H "Content-Type: application/json" \
  -d '{ … }'

Answers: 200 · 400 · 401 · 403 · 404 · 409 · 429

GET /webhooks/{id}/deliveries

List webhook delivery attempts

ParameterInTypeRequiredConstraints
idpathuuidyes
limitqueryintegerno≥ 1, ≤ 200, por defecto 50
offsetqueryinteger | nullno≥ 0, por defecto 0
curl https://api.vitrinadev.com/api/v1/webhooks/<id>/deliveries \
  -H "Authorization: Bearer $VITRINA_KEY"

Answers: 200 · 400 · 401 · 403 · 404 · 409 · 429

On this page